liblouisxml-dev_2.4.0-8+b1_i386.deb


Advertisement

Description

liblouisxml-dev - Braille XML translation library - static libs and headers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblouisxml-dev_2.4.0-8+b1_i386.deb
Package name liblouisxml-dev
Package version 2.4.0
Package release 8+b1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://liblouis.org/
License -
Maintainer Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Download size 178.45 KB
Installed size 474.00 KB
Liblouisxml translates files in the computer lingua franca xml format
into properly transcribed braille. This includes translation into grade
two, if desired, mathematical codes, etc. It also includes formatting
according to a built-in style sheet which can be modified by the user.
This package contains static libraries and development headers.

Alternatives

Package Version Architecture Repository
liblouisxml-dev_2.4.0-8+b1_amd64.deb 2.4.0 amd64 Debian Main
liblouisxml-dev - - -

Requires

Name Value
liblouisxml1 = 2.4.0-8+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblouisxml-dev_2.4.0-8+b1_i386.deb
Source Package liblouisxml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblouisxml-dev deb package:
    # sudo apt-get install liblouisxml-dev

Files

Path
/usr/include/liblouisxml/liblouisxml.h
/usr/include/liblouisxml/louisxml.h
/usr/lib/i386-linux-gnu/liblouisxml.a
/usr/lib/i386-linux-gnu/liblouisxml.so
/usr/lib/i386-linux-gnu/pkgconfig/liblouisxml.pc
/usr/share/doc-base/liblouisxml
/usr/share/doc/liblouisxml-dev/NEWS.gz
/usr/share/doc/liblouisxml-dev/README
/usr/share/doc/liblouisxml-dev/changelog.Debian.gz
/usr/share/doc/liblouisxml-dev/changelog.Debian.i386.gz
/usr/share/doc/liblouisxml-dev/changelog.gz
/usr/share/doc/liblouisxml-dev/copyright
/usr/share/doc/liblouisxml-dev/liblouisxml.html
/usr/share/doc/liblouisxml-dev/liblouisxml.txt.gz
/usr/share/info/liblouisxml.info.gz

Changelog

2018-10-23 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-8) unstable; urgency=medium
* control: Bump Standards-Version to 4.2.0 (no changes).
* tests/control: Add autopkgtest.
2018-04-28 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-7) unstable; urgency=medium
[ Samuel Thibault ]
* control: Update upstream URL.
* Use canonical anonscm vcs URL.
* control: Update maintainer mailing list.
* control: Migrate priority to optional.
* Bump Standards-Version to 4.1.4.
[ Paul Gevers ]
* Drop d/watch as there seems to be no proper location to watch now
2016-05-23 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-6) unstable; urgency=medium
* patches/clang: New patch to fix clang build. (Closes: Bug#753434)
* Bump Standards-Version to 3.9.8 (no changes).
* control: Drop multiarch-support pre-depend.
* compat: Bump to 9.
* rules: Clear.
2014-01-03 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-5) unstable; urgency=low
* Bump Standards-Version to 3.9.5 (no changes).
* Apply ubuntu changes: Use dh-autoreconf instead of autotools-dev to fix
FTBFS on ppc64el. (Closes: Bug#733837)
2013-07-13 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-4) unstable; urgency=low
* Switch to quilt format.
* patches: Include corrections.cti instead of corrections.ctb.
* control: Make liblouisxml-data depend on recent version of liblouis-data
accordingly.
* control: Make liblouisxml-dev Multi-Arch: same.
* Bump Standards-Version to 3.9.4 (no changes).
2012-06-08 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-3) unstable; urgency=low
* debian/liblouisxml-dev.install: Move pkg-config file to multiarch place.
* debian/rules: Add build-indep and build-arch targets.
* control:
- Depend on hardening-check.
- make liblouisxml-bin recommend rtf2xml.
* rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
* control: Bump Standards-Version to 3.9.3 (no changes).
2011-06-05 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-2) unstable; urgency=low
* debian/rules: Set libdir to DEB_HOST_MULTIARCH.
* debian/control: Make liblouisxml1 pre-depend on multiarch-support.
2011-05-15 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.4.0-1) unstable; urgency=low
* New upstream release.
* debian/control:
- Set liblouisxml-data Multi-Arch: foreign.
- Build-depend on dpkg-dev (>= 1.16).
- Bump Standards-Version to 3.9.2.
- Only suggest ooo2dbk instead of recommending it, as it's quite big.
2010-08-24 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.2.0-2) unstable; urgency=low
* debian/control:
- Make liblouisxml-bin Depend on poppler-utils for pdf2brl.
* debian/copyright: Fix download URL.
* debian/liblouisxml-bin.manpages: Remove debian/lbx_devonly.1, as we do not
ship lbx_devonly any more.
* debian/liblouisxml-bin.manpages: Use man/rtf2brl.1 instead of
debian/rtf2brl.1.
* debian/liblouis1.dir: Remove spurious file.
* debian/watch: Replace googlecode URL with abilitiessoft.com URL.
2010-07-27 - Samuel Thibault <sthibault@debian.org>
liblouisxml (2.2.0-1) unstable; urgency=low
* New upstream release.
* debian/control:
- Bump Standards-Version to 3.9.1 (no change needed).
- Build-Depend on liblouis-dev (>= 2.0.0) for louis.h.
* debian/rules: Run chrpath after installation, as automake seems to be
rebuilding gnulib on make install, leading to a re-link of tools.

See Also

Package Description
liblouisxml1_2.4.0-8+b1_i386.deb Braille XML translation library - shared libs
liblpsolve55-dev_5.5.0.15-4+b1_i386.deb Solve (mixed integer) linear programming problems - library
liblqr-1-0-dev_0.4.2-2.1_i386.deb converts plain array images into multi-size representation (developments files)
liblqr-1-0_0.4.2-2.1_i386.deb converts plain array images into multi-size representation
liblrcalc-dev_1.2-2+b1_i386.deb library for calculating Littlewood-Richardson coefficients - development files
liblrcalc1_1.2-2+b1_i386.deb library for calculating Littlewood-Richardson coefficients
liblrdf0-dev_0.6.1-1_i386.deb liblrdf0 development files
liblrdf0_0.6.1-1_i386.deb library to manipulate RDF files describing LADSPA plugins
liblrm2-dev_1.0.12-12_i386.deb Reusable cluster development files -- liblrm
liblrm2_1.0.12-12_i386.deb Reusable cluster libraries -- liblrm2
liblrmd-dev_2.0.1-5_all.deb transitional package
liblrmd28_2.0.1-5_i386.deb cluster resource manager LRMD library
liblrs-dev_0.70-3_i386.deb package to enumerate vertices and extreme rays (development file)
liblrs0_0.70-3_i386.deb package to enumerate vertices and extreme rays (shared libraries)
liblsan0-amd64-cross_8.3.0-2cross1_all.deb LeakSanitizer -- a memory leak detector (runtime)
Advertisement
Advertisement